import 'package:flutter/material.dart';

class Bds8xColor {
  Bds8xColor._();

  /// Màu xanh chính của app
  static const Color blue367E = Color(0xff2a367e);

  /// Màu cam chính của app
  static const Color orange9750 = Color(0xFFF79750);

  /// Màu đen cơ bản
  static const Color black = Color(0xFF000000);

  /// Màu trắng cơ bản
  static const Color white = Color(0xFFFFFFFF);

  /// Màu xám, dùng cho văn bản phụ, chú thích
  static const Color grey6B6B = Color(0xff6B6B6B);

  /// Màu xám siêu nhạt, dùng cho skeleton
  static const Color greyF5F5 = Color(0xFFF5F5F5);

  /// Màu xám nhạt dùng cho nền, background textfield, ...
  static const Color greyEEEE = Color(0xFFEEEEEE);

  /// Màu xám nhạt dùng cho viền
  static const Color greyE0E0 = Color(0xFFE0E0E0);

  /// Màu xám thường
  static const Color grey9E9E = Color(0xFF9E9E9E);

  /// Màu đỏ cơ bản, thường dùng cho error
  static const Color red4336 = Color(0xFFF44336);

  /// Màu xanh lá cây
  static const Color greenB200 = Color(0xff2EB200);

  /// Màu trong suốt
  static const Color transparent = Colors.transparent;

  /// Màu xanh lá cây nhạt (màu label)
  static const Color greenFC8 = Color(0xffcdffc8);

  /// Màu xanh lá cây (màu text)
  static const Color green367 = Color(0xff70D367);

  /// Màu xanh nước biển nhạt (màu label)
  static const Color blueFFF = Color(0xffc8efff);

  /// Màu xanh nước biển (màu text)
  static const Color blue9BD = Color(0xff4199BD);

  /// Màu xanh dùng trong bài kiểm tra
  static const Color blue49F = Color(0xff07849F);

  /// Màu đỏ nhạt (màu label)
  static const Color redC8C8 = Color(0xffffc8c8);

  /// Màu đỏ (màu text)
  static const Color redC2C = Color(0xffdf2c2c);

  /// Màu vàng đất nhạt (màu label)
  static const Color yellowECC8 = Color(0xffffecc8);

  /// Màu vàng đất (màu text)
  static const Color yellow01D = Color(0xffc5a01d);
}

class TBTColor {
  TBTColor._();

  /// Dùng cho các màu text, đen cơ bản
  static const Color black1F2A = Color(0xFF1B1F2A);

  /// Màu trắng cơ bản
  static const Color whiteFFFF = Color(0xFFFFFFFF);

  /// Màu cam chính của app, dùng cho đa số các màu cam
  static const Color orangeAB8E = Color(0xFFF3AB8E);

  /// Màu cam nhạt dùng cho nền
  ///
  /// trên nền chữ màu sáng
  static const Color orangeC6B2 = Color(0xFFFAC6B2);

  /// Cam nhạt hơn, thường dùng cho nền cam
  ///
  /// Trên nền chữ màu tối
  static const Color orangeE0D9 = Color(0xFFF4E0D9);

  /// Màu vàng chính của app
  static const Color yellowCE31 = Color(0xffffce31);

  /// Dùng cho văn bản phụ, chú thích
  static const Color greyA4AF = Color(0xFF97A4AF);

  /// Chưa biết
  static const Color greyCED9 = Color(0xffc2ced9);

  /// Dùng cho màu nền
  static const Color greyF5F6 = Color(0xFFF4F5F6);

  /// Màu xám nhạt dùng cho viền
  static const Color greyE0E0 = Color(0xFFE0E0E0);

  /// Màu xám siêu nhạt, dùng cho skeleton
  static const Color greyF5F5 = Color(0xFFF5F5F5);

  /// Màu xanh chính của app
  static const Color blueD3BF = Color(0xFF68D3BF);

  /// Màu xanh background
  static const Color blueEEE6 = Color(0xFFC2EEE6);

  /// Màu xanh nhạt background
  static const Color blueF2EF = Color(0xFFE0F2EF);

  /// Màu đỏ cơ bản, thường dùng cho error
  static const Color red4336 = Color(0xFFF44336);

  /// Màu trong suốt
  static const Color transparent = Colors.transparent;
}
